Mailinglist Archive: opensuse-bugs (11332 mails)

< Previous Next >
[Bug 450652] Yast fails to configure a printer
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Wed, 3 Dec 2008 04:06:16 -0700 (MST)
  • Message-id: <20081203110616.23F1C245393@xxxxxxxxxxxxxxxxxxxxxx>
https://bugzilla.novell.com/show_bug.cgi?id=450652

User jsmeix@xxxxxxxxxx added comment
https://bugzilla.novell.com/show_bug.cgi?id=450652#c3


Johannes Meixner <jsmeix@xxxxxxxxxx> changed:

What |Removed |Added
----------------------------------------------------------------------------
Info Provider|mzugec@xxxxxxxxxx
|peter@xxxxxxxxxxx




--- Comment #3 from Johannes Meixner <jsmeix@xxxxxxxxxx> 2008-12-03 04:06:15
MST ---
Does it work when you log in as root and do
export LC_ALL="POSIX"
export LANG=POSIX
yast2 printer

See
http://en.opensuse.org/SDB:CUPS_in_a_Nutshell
"If problems are encountered"
how to get CUPS debugging messages.
When you then find in /var/log/cups/error_log
a message about "Unsupported character set"
the root cause of this issue is what we described in
our release notes
/usr/share/doc/release-notes/openSUSE/RELEASE-NOTES.en.html
"CUPS (Common UNIX Printing System) and UTF-8 Encoding"
--------------------------------------------------------------------
Since CUPS 1.3.4 the cupsd accepts only UTF-8 encoded data.
..
Applications communicating with the cupsd such as hp-setup
or the YaST printer configuration, do no longer work
if neither a plain 7-bit ASCII nor a UTF-8 locale is used.
The problem does not occur if you use a default UTF-8 locate
as pre-configured on openSUSE since several years.
--------------------------------------------------------------------


--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >
References